Develop for Android: which Eclipse?

Discussion in 'Mac Programming' started by jywv8, Oct 14, 2008.

  1. jywv8 macrumors 6502

    Joined:
    Jan 11, 2003
    Location:
    Chicago
    #1
    So I wanted to take a look at the new Android SDK. But I'm completely confused as to which version of Eclipse I should download/install.

    http://www.eclipse.org/downloads/

    Do I want the one for Java Developers? Or the Classic? Or...?

    Can anyone give me a clue?
     
  2. Snapper67 macrumors newbie

    Joined:
    Oct 15, 2008
    #2
    I am using the Java one. However the layout editors are not working right so not sure if that is the correct one, or I have something else wrong. Everything else works fine and the one problem does not keep me from developing.

    Update=====
    I downloaded the classic. Added the android plugin and pointed it at my android sdk and the layouts work now.

    Update 2====
    Closing Eclipse and restarting causes the layouts to no longer work
     
  3. jywv8 thread starter macrumors 6502

    Joined:
    Jan 11, 2003
    Location:
    Chicago
    #3
    I ended up just downloading the Java one, too.

    I haven't really done anything with the layout editor yet -- working with the raw XML for now. Who knows.
     
  4. Snapper67 macrumors newbie

    Joined:
    Oct 15, 2008
    #4
    I have dowloaded both now. And for each one, if you trash the .metadata in the workspace the editor works on restart. Then fails again after restarting again.
     

Share This Page